Public Class frmDOW

  Private Sub btnRemove_Click(ByVal sender As System.Object,
                              ByVal e As System.EventArgs) Handles btnRemove.Click
    Dim i As Integer = 0, j As Integer = 0
    Do While i < lstDOW.Items.Count - 1
      j = i + 1
      Do While j < lstDOW.Items.Count
        If CStr(lstDOW.Items(j)) = CStr(lstDOW.Items(i)) Then
          lstDOW.Items.RemoveAt(j)
        Else
          j += 1
        End If
      Loop
      i += 1
    Loop
  End Sub

End Class
